Subject: Re: [PATCH] prefix_path(): Unconditionally free result of prefix_path

From: Junio C Hamano <[email-masked]>
Date: Tue, 05 May 2015 11:09:11 -0700

Jeff King <[email-masked]> writes:

>> >>   1. in blame, we assign the result to a const char that may also point
>> >>      straight into to argv, but we never actually free either way
>> 
>> The return value from add_prefix() that is what prefix_path()
>> returned eventually becomes scoreboard.path that needs to be kept
>> during the lifetime of the process, and I think there isn't much
>> point doing the "free() immediately before exiting".
>
> Yeah, sorry, I meant to say that more explicitly, but clearly didn't. I
> think it is fine as-is.

Yeah, sorry, I didn't mean "You are wrong and here is why".  I was
merely agreeing with you.

Thanks for running grep over the codebase to check possible
remaining problems.